- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::SolveStatistics Class Reference

This class collects statistics about an optimziation run, such as iteration count, final infeasibilities etc. More...

`#include <IpSolveStatistics.hpp>`

Inheritance diagram for Ipopt::SolveStatistics:

[legend]
Collaboration diagram for Ipopt::SolveStatistics:

[legend]
List of all members.

## Public Member Functions
Constructors/Destructors
| SolveStatistics (const SmartPtr< IpoptNLP > &ip_nlp, const SmartPtr< IpoptData > &ip_data, const SmartPtr< IpoptCalculatedQuantities > &ip_cq)
| Default constructor.
virtual | ~SolveStatistics ()
| Default destructor.
Accessor methods for retrieving different kind of solver
statistics information
Index | IterationCount () const
| Iteration counts.
Number | TotalCPUTime () const
| Total CPU time, including function evaluations.
void | NumberOfEvaluations (Index &num_obj_evals, Index &num_constr_evals, Index &num_obj_grad_evals, Index &num_constr_jac_evals, Index &num_hess_evals) const
| Number of NLP function evaluations.
void | Infeasibilities (Number &dual_inf, Number &constr_viol, Number &complementarity, Number &kkt_error) const
| Unscaled solution infeasibilities.
void | ScaledInfeasibilities (Number &scaled_dual_inf, Number &scaled_constr_viol, Number &scaled_complementarity, Number &scaled_kkt_error) const
| Scaled solution infeasibilities.
Number | FinalObjective () const
| Final value of objective function.
Number | FinalScaledObjective () const
| Final scaled value of objective function.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SolveStatistics ()
| Default Constructor.
| SolveStatistics (const SolveStatistics &)
| Copy Constructor.
void | operator= (const SolveStatistics &)
| Overloaded Equals Operator.
## Private Attributes
Fields for storing the statistics data
Index | num_iters_
| Number of iterations.
Number | total_cpu_time_
| Number of iterations.
Index | num_obj_evals_
| Number of objective function evaluations.
Index | num_constr_evals_
| Number of constraints evaluations (max of equality and inequality).
Index | num_obj_grad_evals_
| Number of objective gradient evaluations.
Index | num_constr_jac_evals_
| Number of constraint Jacobian evaluations.
Index | num_hess_evals_
| Number of Lagrangian Hessian evaluations.
Number | scaled_obj_val_
| Final scaled value of objective function.
Number | obj_val_
| Final unscaled value of objective function.
Number | scaled_dual_inf_
| Final scaled dual infeasibility (max-norm).
Number | dual_inf_
| Final unscaled dual infeasibility (max-norm).
Number | scaled_constr_viol_
| Final scaled constraint violation (max-norm).
Number | constr_viol_
| Final unscaled constraint violation (max-norm).
Number | scaled_compl_
| Final scaled complementarity error (max-norm).
Number | compl_
| Final unscaled complementarity error (max-norm).
Number | scaled_kkt_error_
| Final overall scaled KKT error (max-norm).
Number | kkt_error_
| Final overall unscaled KKT error (max-norm).

## Detailed Description

This class collects statistics about an optimziation run, such as iteration count, final infeasibilities etc.

It is meant to provide such information to a user of Ipopt during the finalize_solution call.

Definition at line 27 of file IpSolveStatistics.hpp.

## Constructor & Destructor Documentation

Ipopt::SolveStatistics::SolveStatistics | ( | const SmartPtr< IpoptNLP > & | ip_nlp,
|  | const SmartPtr< IpoptData > & | ip_data,
|  | const SmartPtr< IpoptCalculatedQuantities > & | ip_cq |
| ) |  |  |

Default constructor.

It takes in those collecting Ipopt objects that can provide the statistics information. Those statistics are retrieved at the time of the constructor call.

virtual Ipopt::SolveStatistics::~SolveStatistics | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 41 of file IpSolveStatistics.hpp.

Ipopt::SolveStatistics::SolveStatistics | ( |  | ) | `[private]`

Default Constructor.

Ipopt::SolveStatistics::SolveStatistics | ( | const SolveStatistics & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

Index Ipopt::SolveStatistics::IterationCount | ( |  | ) | const

Iteration counts.

Number Ipopt::SolveStatistics::TotalCPUTime | ( |  | ) | const

Total CPU time, including function evaluations.

void Ipopt::SolveStatistics::NumberOfEvaluations | ( | Index & | num_obj_evals,
|  | Index & | num_constr_evals,
|  | Index & | num_obj_grad_evals,
|  | Index & | num_constr_jac_evals,
|  | Index & | num_hess_evals |
| ) |  |  | const

Number of NLP function evaluations.

void Ipopt::SolveStatistics::Infeasibilities | ( | Number & | dual_inf,
|  | Number & | constr_viol,
|  | Number & | complementarity,
|  | Number & | kkt_error |
| ) |  |  | const

Unscaled solution infeasibilities.

void Ipopt::SolveStatistics::ScaledInfeasibilities | ( | Number & | scaled_dual_inf,
|  | Number & | scaled_constr_viol,
|  | Number & | scaled_complementarity,
|  | Number & | scaled_kkt_error |
| ) |  |  | const

Scaled solution infeasibilities.

Number Ipopt::SolveStatistics::FinalObjective | ( |  | ) | const

Final value of objective function.

Number Ipopt::SolveStatistics::FinalScaledObjective | ( |  | ) | const

Final scaled value of objective function.

void Ipopt::SolveStatistics::operator= | ( | const SolveStatistics & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

Index Ipopt::SolveStatistics::num_iters_`[private]`

Number of iterations.

Definition at line 96 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::total_cpu_time_`[private]`

Number of iterations.

Definition at line 98 of file IpSolveStatistics.hpp.

Index Ipopt::SolveStatistics::num_obj_evals_`[private]`

Number of objective function evaluations.

Definition at line 100 of file IpSolveStatistics.hpp.

Index Ipopt::SolveStatistics::num_constr_evals_`[private]`

Number of constraints evaluations (max of equality and inequality).

Definition at line 103 of file IpSolveStatistics.hpp.

Index Ipopt::SolveStatistics::num_obj_grad_evals_`[private]`

Number of objective gradient evaluations.

Definition at line 105 of file IpSolveStatistics.hpp.

Index Ipopt::SolveStatistics::num_constr_jac_evals_`[private]`

Number of constraint Jacobian evaluations.

Definition at line 107 of file IpSolveStatistics.hpp.

Index Ipopt::SolveStatistics::num_hess_evals_`[private]`

Number of Lagrangian Hessian evaluations.

Definition at line 109 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::scaled_obj_val_`[private]`

Final scaled value of objective function.

Definition at line 112 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::obj_val_`[private]`

Final unscaled value of objective function.

Definition at line 114 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::scaled_dual_inf_`[private]`

Final scaled dual infeasibility (max-norm).

Definition at line 116 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::dual_inf_`[private]`

Final unscaled dual infeasibility (max-norm).

Definition at line 118 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::scaled_constr_viol_`[private]`

Final scaled constraint violation (max-norm).

Definition at line 120 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::constr_viol_`[private]`

Final unscaled constraint violation (max-norm).

Definition at line 122 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::scaled_compl_`[private]`

Final scaled complementarity error (max-norm).

Definition at line 124 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::compl_`[private]`

Final unscaled complementarity error (max-norm).

Definition at line 126 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::scaled_kkt_error_`[private]`

Final overall scaled KKT error (max-norm).

Definition at line 128 of file IpSolveStatistics.hpp.

Number Ipopt::SolveStatistics::kkt_error_`[private]`

Final overall unscaled KKT error (max-norm).

Definition at line 130 of file IpSolveStatistics.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Interfaces/IpSolveStatistics.hpp